List embedding secrets

Lists keys for embedding of the specified workbook.

Request

POST

http://<хост_on-premises>/rpc/listEmbeddingSecrets

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "workbookId": "example"
}

Name

Description

workbookId

Type: string

ID of the workbook to list its keys for embedding.

Example: example

Responses

200 OK

Response

Body

application/json
[
  {
    "embeddingSecretId": "example",
    "title": "example",
    "workbookId": "example",
    "createdBy": "example",
    "createdAt": "example"
  }
]

Type: EmbeddingSecret[]

EmbeddingSecret

Name

Description

createdAt

Type: string

Date and time when the key for embedding was created.

Example: example

createdBy

Type: string

ID of the user who created the key for embedding.

Example: example

embeddingSecretId

Type: string

Unique identifier of the key for embedding.

Example: example

title

Type: string

Name of the key for embedding.

Example: example

workbookId

Type: string

ID of the workbook associated with the key for embedding.

Example: example

Example
{
  "embeddingSecretId": "example",
  "title": "example",
  "workbookId": "example",
  "createdBy": "example",
  "createdAt": "example"
}
Предыдущая
Следующая